;;; OpenGL: (rechtshndig)
;;;
;;;             y
;;;             ^
;;;             |
;;;             |
;;;             |----->x
;;;            /
;;;           /
;;;          v
;;;          z
;;;
;;;
;;; Cube: (rechtshndig)
;;;
;;;             z
;;;         x   ^
;;;         ^   |
;;;          \  |
;;;           \ |
;;;            \|
;;;     y<------|
;;;
;;;
;;; OpenGL->cube
;;; c = (-o.z, -o.x, o.y)
;;;
;;; cube->OpenGL
;;; o = (-c.y, c.z, -c.x)
;;;
;;; Graphics and permutation by Moritz

(in-package :LED-cube)

(defun OpenGL->cube (x y z)
  (list (- z) (- x) y))

(defun cube->OpenGL (x y z)
  (list (- y) z (- x)))
